sampler2D Tex0;

//#define SampleOffset 0
//#define SampleCount 6

struct PS_INPUT{
	float2 Tex[SampleCount]	: TEXCOORD0;
};

struct PS_OUTPUT{
    float4 Color			: COLOR;
};

float2 InvTexSize;

PS_OUTPUT main(const PS_INPUT Input){
	float4 Color = 0;

    for (int i = 0; i < SampleCount; i++){
		Color += tex2D(Tex0, Input.Tex[i]);// * InvTexSize);
    }
    
    PS_OUTPUT Out;
    Out.Color = Color / 16;
	return Out;
}